WordPress.org

Ready to get started?Download WordPress

Forums

BulletProof Security
[resolved] Bug with Plupload in WP 3.3.1 (6 posts)

  1. Kevin Leary
    Member
    Posted 2 years ago #

    I've just purchased and installed the latest version of BulletProof Security Pro and have it running on a Multisite 3.3.1 installation successfully.

    When we upload a file using the Media uploader the process freezes at 100% and displays the following message:

    Only Super Admins can access BPS Pro15645

    See a screenshot here.

    The file uploads OK, and we are able to edit the metadata in the Media Library so this isn't a show stopper, but it does appear to be a bug specific to the plugin (I think).

    Thanks again for taking to time to put this plugin together, I'm incredibly excited to continue using the Pro version!

    http://wordpress.org/extend/plugins/bulletproof-security/

  2. AITpro
    Member
    Plugin Author

    Posted 2 years ago #

    hmm ok. I will recreate the scenario and see why this is occurring. I just need a little more info. It appears that you are in a sub site Dashboard otherwise i would be seeing the BPS Pro menu. I am also assuming that the Role that is logged in in this screenshot is a Site Admin and not a Super Admin correct?. The "Only Super Admins can access BPS Pro" error message is designed to display when a Role lower than Super Admins is attempting to access the BPS Pro menus manually / force opening a link to BPS Pro pages.

    And just some general checks - BPS Pro is not Network Activated correct? And only the Primary site should have BulletProof Modes activated correct?

  3. Kevin Leary
    Member
    Posted 2 years ago #

    Thanks for the fast response,

    The general checks fixed the issue, the plugin was network activated and configured for the primary domain and 2 subdomains. I've activated it for the primary domain only and that did the trick.

    Thanks!

  4. AITpro
    Member
    Plugin Author

    Posted 2 years ago #

    Great!

    Thank you for posting the solution. ;)

    Thanks.

  5. AITpro
    Member
    Plugin Author

    Posted 2 years ago #

    Also i just came across a bug with BPS menus when BPS displays the "Only Super Admins can access BPS" error message to Roles that are not Super Admins. This coding will be added in .46.9, but you can add it now if you are seeing this error.

    the error
    Warning: Cannot modify header information - headers already sent by (output started at....

    the solution. Edit the /bulletproof-security/admin/includes/admin.php file and change this code....

    if (is_multisite() && !is_super_admin()) {
      echo 'Only Super Admins can access BPS';
      } else {
    
    ...to this code.
    
    if (is_multisite() && !is_super_admin()) {
      $bpsSuperAdminsError = 'Only Super Admins can access BPS';
      return $bpsSuperAdminsError;
      } else {
  6. AITpro
    Member
    Plugin Author

    Posted 2 years ago #

    Oops you have BPS Pro. ;) This fix has already been implemented in BPS Pro. Please download a new zip file from the BPS Pro Secure Download area. Thanks.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic